library TradeManage;

uses
  SysUtils,
  classes,  
  forms,
  WinTypes,  
  WinProcs,
  MidasLib,
  U_DataLink in 'U_DataLink.pas' {DataLink_TradeManage: TDataModule},
  U_GetDllForm in 'U_GetDllForm.pas',
  U_ZDYHelpSel in '..\Z99Dependency\ThreeFun\Form\U_ZDYHelpSel.pas' {frmZDYHelpSel},
  U_SelExportField in '..\Z99Dependency\ThreeFun\Fun\U_SelExportField.pas' {frmSelExportField},
  U_ColumnSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnSet.pas' {frmColumnSet},
  U_ZDYHelp in '..\Z99Dependency\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_GetAddRess in '..\Z99Dependency\ThreeFun\Form\U_GetAddRess.pas',
  U_ColumnBandSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnBandSet.pas' {frmColumnBandSet},
  U_SelPrintFieldNew in '..\Z99Dependency\ThreeFun\Form\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  U_LabelPrint in 'U_LabelPrint.pas' {frmLabelPrint},
  U_Fun10 in '..\Z99Dependency\ThreeFun\Fun\U_Fun10.pas',
  U_Fun in '..\Z99Dependency\ThreeFun\Fun\U_Fun.pas',
  U_CompressionFun in '..\Z99Dependency\ThreeFun\Fun\U_CompressionFun.pas',
  U_FjList10 in '..\Z99Dependency\ThreeFun\Form\U_FjList10.pas' {frmFjList10},
  U_SysLogHelp in '..\Z99Dependency\ThreeFun\Form\U_SysLogHelp.pas' {frmSysLogHelp},
  U_RTFun in '..\Z99Dependency\ThreeFun\Fun\U_RTFun.pas',
  U_iniParam in 'U_iniParam.pas',
  AES in 'AES.pas',
  ElAES in 'ElAES.pas';

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD);far;stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason=DLL_THREAD_DETACH) then
//     Application:=NewDllApp;
end;
exports
   GetDllForm;
begin
   try
     NewDllApp:=Application;
     DLLProc := @DLLUnloadProc;
   except

   end;
end.

